org.eclipse.ease.modules

## Class ModuleTracker.ModuleState

- java.lang.Object
- - org.eclipse.ease.modules.ModuleTracker.ModuleState

Enclosing class:
  ModuleTracker

    public class ModuleTracker.ModuleState
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ModuleState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getInstance()`
`ModuleDefinition` `getModuleDefinition()`
`boolean` `isLoaded()`
`boolean` `isWrapped()`
`void` `setInstance(java.lang.Object instance)`
`void` `setModuleDefinition(ModuleDefinition moduleDefinition)`
`void` `setWrapped(boolean wrapped)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleState

    public ModuleState()

### Method Detail

#### setInstance

    public void setInstance(java.lang.Object instance)

#### getInstance

    public java.lang.Object getInstance()

#### setModuleDefinition

    public void setModuleDefinition(ModuleDefinition moduleDefinition)

#### getModuleDefinition

    public ModuleDefinition getModuleDefinition()

#### isLoaded

    public boolean isLoaded()

#### isWrapped

    public boolean isWrapped()

#### setWrapped

    public void setWrapped(boolean wrapped)